# PSW-UI

Shared UI Component Repository.

My goal is to create **fully typesafe**, **highly customizable** component with **minimum complexity**.

## Rules of PSW-UI Development

* Only use **React** or **Svelte**, **TailwindCSS**, **tailwind-merge**, **clsx**, **class-variance-authority** for runtime dependency.
* **Simplicity** over **Versatility**. Make it easy to edit, so user can easily add or patch their own code to the component.
* **Hate script.** If you can do that with CSS, just do that with CSS. Why use JS?
* **Stick with the defaults.** Just let others do their customization. And, well, TailwindCSS's default theme is pretty cool.
* **Keep component isolated.** Leave them alone. Don't make one dependent to others.

## Milestones

* Component Implementation
  * [ ] Accordion
  * [ ] Alert
  * [ ] Avatar
  * [ ] Badge
  * [ ] Breadcrumb
  * [ ] Button
  * [ ] Calendar
  * [ ] Card
  * [ ] Carousel
  * [ ] Checkbox
  * [ ] Combobox
  * [ ] Command
  * [ ] Context Menu
  * [ ] Data Table
  * [ ] Date Picker
  * [ ] Dialog
  * [ ] Drawer
  * [ ] Dropdown Menu
  * [ ] Form
  * [ ] Hover Card
  * [ ] Input
  * [ ] Input OTP
  * [ ] Label
  * [ ] Menubar
  * [ ] Navigation Menu
  * [ ] Pagination
  * [ ] Popover
  * [ ] Progress
  * [ ] Radio Group
  * [ ] Resizable
  * [ ] Scroll Area
  * [ ] Select
  * [ ] Separator
  * [ ] Sheet
  * [ ] Skeleton
  * [ ] Slider
  * [ ] Sonner
  * [ ] Switch
  * [ ] Table
  * [ ] Tabs
  * [ ] Textarea
  * [ ] Toast
  * [ ] Toggle
  * [ ] Toggle Group
  * [ ] Tooltip
* Library/Framework Support
  * [ ] React
  * [ ] Svelte
* CLI - _I'm not sure about this._
  * [ ] Add
